Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application.action
Class ApplicationAction

    java.lang.Object
      javax.swing.AbstractAction
          com.developmentontheedge.application.action.ApplicationAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Direct Known Subclasses:
  ApplicationAction.ActionAboutDialog, ApplicationAction.ActionExit, ApplicationAction.ActionHelp, ApplicationAction.ActionPrint, ApplicationAction.ActionPrintPreview, ApplicationAction.ActionPrintSetup

public class ApplicationAction
extends javax.swing.AbstractAction

The `ApplicationAction` class extends functionality of AbstractAction

See Also:
  Serialized Form

Nested Class Summary
`class` | `ApplicationAction.ActionAboutDialog`
`static class` | `ApplicationAction.ActionExit`
`class` | `ApplicationAction.ActionHelp`
`class` | `ApplicationAction.ActionPrint`
`class` | `ApplicationAction.ActionPrintPreview`
`class` | `ApplicationAction.ActionPrintSetup`

Field Summary
`static java.lang.String` | `PARAMETER` Action key for sending of any parameters to action

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ApplicationAction(java.lang.String key)`
`ApplicationAction(java.lang.String name, java.lang.String cmd)`
`ApplicationAction(java.lang.String name, java.lang.String shortDesc, java.lang.String longDesc, int mnemonic, java.lang.String imageFile)` Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon .
`ApplicationAction(java.lang.String name, java.lang.String shortDesc, java.lang.String longDesc, int mnemonic, java.lang.String imageFile, java.awt.event.ActionListener listener)` Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon and action listener.
`ApplicationAction(java.lang.String name, java.lang.String shortDesc, java.lang.String longDesc, int mnemonic, java.lang.String imageFile, java.lang.String cmd, java.awt.event.ActionListener listener)` Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon, command string and the listener.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Overridden method for translation action events to the all listeners
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds the specified action listener to receive action event .
`protected void` | `fireActionPerformed(java.awt.event.ActionEvent evt)`
`void` | `removeActionListeners(java.lang.Class clazz)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER

    public static final java.lang.String PARAMETER

  Action key for sending of any parameters to action

  See Also:
    Constant Field Values

Constructor Detail

### ApplicationAction

    public ApplicationAction(java.lang.String key)

### ApplicationAction

    public ApplicationAction(java.lang.String name,
                             java.lang.String cmd)

### ApplicationAction

    public ApplicationAction(java.lang.String name,
                             java.lang.String shortDesc,
                             java.lang.String longDesc,
                             int mnemonic,
                             java.lang.String imageFile,
                             java.lang.String cmd,
                             java.awt.event.ActionListener listener)

  Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon, command string and the listener.

Parameters:
  `name` - of action
  `shortDesc` - short description of action
  `longDesc` - long description of action
  `mnemonic` - hot key
  `imageFile` - image for icon on button or menu items
  `cmd` - corresponding string command
  `listener` - listener of action

### ApplicationAction

    public ApplicationAction(java.lang.String name,
                             java.lang.String shortDesc,
                             java.lang.String longDesc,
                             int mnemonic,
                             java.lang.String imageFile,
                             java.awt.event.ActionListener listener)

  Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon and action listener.

Parameters:
  `name` - name of action
  `shortDesc` - shortDesc short description of action
  `longDesc` - longDesc long description of action
  `mnemonic` - mnemonic hot key
  `imageFile` - image for icon on button or menu items
  `listener` - listener listener of action

### ApplicationAction

    public ApplicationAction(java.lang.String name,
                             java.lang.String shortDesc,
                             java.lang.String longDesc,
                             int mnemonic,
                             java.lang.String imageFile)

  Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon .

Parameters:
  `name` - name of action
  `shortDesc` - shortDesc short description of action
  `longDesc` - longDesc long description of action
  `mnemonic` - mnemonic hot key
  `imageFile` - image for icon on button or menu items

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Overridden method for translation action events to the all listeners

  Parameters:
    `evt` - ActionEvent

### removeActionListeners

    public void removeActionListeners(java.lang.Class clazz)

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds the specified action listener to receive action event .

### fireActionPerformed

    protected void fireActionPerformed(java.awt.event.ActionEvent evt)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.